Module java.desktop
Package javax.swing.plaf.metal

## Class MetalToolBarUI.MetalContainerListener

- java.lang.Object
- - javax.swing.plaf.basic.BasicToolBarUI.ToolBarContListener
  - - javax.swing.plaf.metal.MetalToolBarUI.MetalContainerListener

- All Implemented Interfaces:
    `ContainerListener`, `EventListener`
  Enclosing class:
    MetalToolBarUI

      protected class MetalToolBarUI.MetalContainerListener
      extends BasicToolBarUI.ToolBarContListener

  No longer used. The class cannot be removed for compatibility reasons.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `MetalContainerListener​()` |

  - ### Method Summary

    - ### Methods inherited from class javax.swing.plaf.basic.BasicToolBarUI.ToolBarContListener

      `componentAdded, componentRemoved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MetalContainerListener

          protected MetalContainerListener​()